using System;
using NeonScripting;
using System.Collections;
using System.IO;
using System.Text;
using System.Linq;

public class Script
{
	public bool Run(INeonScriptHost host)
	{
		if (!host.RemoteCalls.ConfirmationDialog("Delete all tags?"))
			return false;
		var idx = host.Tracks.Count();
		host.UpdateProgress(string.Format("Deleting tags for {0} files", idx));
		host.RemoteCalls.DeleteAllTags(host.Tracks);
		
		return true;
	}
}